﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace EntityCodeFirst.Models
{
    public class EditParams
    {
        //Paging Params
        public int skip { get; set; }        
        public int take { get; set; }

        //Grid Action Params
        public string action { get; set; }
        public int key { get; set; }
        public string keyColumn { get; set; }
        public OrderTable value { get; set; }

        //Batch Edit Params
        public IEnumerable<OrderTable> added { get; set; }
        public IEnumerable<OrderTable> changed { get; set; }
        public IEnumerable<OrderTable> deleted { get; set; }
    }
}